Skip to main content
`Ctrl`+`K`

# DMSetFieldAvoidTensor

Set flag to avoid defining the field on tensor cells

## Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    #include "petscds.h"
    PetscErrorCode DMSetFieldAvoidTensor(DM dm, PetscInt f, PetscBool avoidTensor)

Logically Collective

## Input Parameters

- dm - The `DM`

- f - The field index

- avoidTensor - `PETSC_TRUE` to skip defining the field on tensor cells

## See Also

DM Basics, `DM`, `DMGetFieldAvoidTensor()`, `DMSetField()`, `DMGetField()`

## Level

intermediate

## Location

src/dm/interface/dm.c

Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages